Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class SimpleSituation

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.SimpleSituation

All Implemented Interfaces:
  Situation, XmlSerializable

public class SimpleSituation
extends java.lang.Object
implements Situation

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.events.Situation
`CRITICAL_SEVERITY, FATAL_SEVERITY, HIGH_PRIORITY, HIGHEST_PRIORITY, INFO_SEVERITY, LOW_PRIORITY, LOWEST_PRIORITY, MAJOR_SEVERITY, MEDIUM_PRIORITY, MINOR_SEVERITY, SUCCESSFUL, UNKNOWN_SEVERITY, UNSUCCESSFUL, WARNING_SEVERITY`

Constructor Summary
`SimpleSituation()`
`SimpleSituation(org.w3c.dom.Element xml)`

Method Summary
`QName[]` | `getCategoryType()`
`java.lang.String` | `getMessage()`
`short` | `getPriority()`
`short` | `getSeverity()`
`java.util.Date` | `getSituationTime()`
`SubstitutableMessage` | `getSubstitutableMessage()`
`java.lang.String` | `getSuccessDisposition()`
`void` | `setCategoryType(QName categoryType)`
`void` | `setCategoryType(QName[] categoryType)`
`void` | `setMessage(java.lang.String message)`
`void` | `setPriority(short priority)`
`void` | `setSeverity(short severity)`
`void` | `setSituationTime(java.util.Date situationTime)`
`void` | `setSubstitutableMessage(SubstitutableMessage message)`
`void` | `setSuccessDisposition(java.lang.String disposition)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document factory)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleSituation

    public SimpleSituation()

### SimpleSituation

    public SimpleSituation(org.w3c.dom.Element xml)

Method Detail

### getCategoryType

    public final QName[] getCategoryType()

  Specified by:
    `getCategoryType` in interface `Situation`

### getMessage

    public final java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `Situation`

### getPriority

    public final short getPriority()

  Specified by:
    `getPriority` in interface `Situation`

### getSeverity

    public final short getSeverity()

  Specified by:
    `getSeverity` in interface `Situation`

### getSituationTime

    public final java.util.Date getSituationTime()

  Specified by:
    `getSituationTime` in interface `Situation`

### getSubstitutableMessage

    public final SubstitutableMessage getSubstitutableMessage()

  Specified by:
    `getSubstitutableMessage` in interface `Situation`

### getSuccessDisposition

    public final java.lang.String getSuccessDisposition()

  Specified by:
    `getSuccessDisposition` in interface `Situation`

### setCategoryType

    public final void setCategoryType(QName categoryType)

  Specified by:
    `setCategoryType` in interface `Situation`

### setCategoryType

    public final void setCategoryType(QName[] categoryType)

  Specified by:
    `setCategoryType` in interface `Situation`

### setMessage

    public final void setMessage(java.lang.String message)

  Specified by:
    `setMessage` in interface `Situation`

### setPriority

    public final void setPriority(short priority)

  Specified by:
    `setPriority` in interface `Situation`

### setSeverity

    public final void setSeverity(short severity)

  Specified by:
    `setSeverity` in interface `Situation`

### setSituationTime

    public final void setSituationTime(java.util.Date situationTime)

  Specified by:
    `setSituationTime` in interface `Situation`

### setSubstitutableMessage

    public final void setSubstitutableMessage(SubstitutableMessage message)

  Specified by:
    `setSubstitutableMessage` in interface `Situation`

### setSuccessDisposition

    public final void setSuccessDisposition(java.lang.String disposition)

  Specified by:
    `setSuccessDisposition` in interface `Situation`

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document factory)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `factory` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD